diff --git a/tests/backoffice_pages/test_all.py b/tests/backoffice_pages/test_all.py
index 31c96da0..1d94ae53 100644
--- a/tests/backoffice_pages/test_all.py
+++ b/tests/backoffice_pages/test_all.py
@@ -20,7 +20,7 @@ from wcs.qommon.form import UploadedFile
 from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.qommon.http_request import HTTPRequest
 import wcs.qommon.storage as st
-from wcs.roles import Role, logged_users_role
+from wcs.roles import logged_users_role
 from wcs.workflows import (
     Workflow,
     CommentableWorkflowStatusItem,
@@ -84,7 +84,7 @@ def create_user(pub, is_admin=False):
         if user.name == 'admin':
             user1 = user
             user1.is_admin = is_admin
-            user1.roles = [x.id for x in Role.select() if x.name == 'foobar']
+            user1.roles = [x.id for x in pub.role_class.select() if x.name == 'foobar']
             user1.store()
         elif user.email == 'jean.darmette@triffouilis.fr':
             pass  # don't remove user created by local_user fixture
@@ -102,8 +102,8 @@ def create_user(pub, is_admin=False):
     account1.user_id = user1.id
     account1.store()
 
-    Role.wipe()
-    role = Role(name='foobar')
+    pub.role_class.wipe()
+    role = pub.role_class(name='foobar')
     role.store()
 
     user1.roles = [role.id]
@@ -223,14 +223,14 @@ def test_backoffice_role_user(pub):
     assert 'Forms' not in resp.text
     assert 'Workflows' not in resp.text
 
-    pub.cfg['admin-permissions'] = {'forms': [x.id for x in Role.select()]}
+    pub.cfg['admin-permissions'] = {'forms': [x.id for x in pub.role_class.select()]}
     pub.write_cfg()
     resp = app.get('/backoffice/')
     assert 'Management' in resp.text
     assert 'Forms' in resp.text
     assert 'Workflows' not in resp.text
 
-    pub.cfg['admin-permissions'] = {'workflows': [x.id for x in Role.select()]}
+    pub.cfg['admin-permissions'] = {'workflows': [x.id for x in pub.role_class.select()]}
     pub.write_cfg()
     resp = app.get('/backoffice/')
     assert 'Management' in resp.text
@@ -238,7 +238,7 @@ def test_backoffice_role_user(pub):
     assert 'Workflows' in resp.text
 
     # check role id int->str migration
-    pub.cfg['admin-permissions'] = {'workflows': [int(x.id) for x in Role.select()]}
+    pub.cfg['admin-permissions'] = {'workflows': [int(x.id) for x in pub.role_class.select()]}
     pub.write_cfg()
     resp = app.get('/backoffice/')
     assert 'Management' in resp.text
@@ -1524,7 +1524,7 @@ def test_backoffice_multi_actions(pub):
     resp = app.get('/backoffice/management/form-title/')
     assert 'id="multi-actions"' in resp.text
 
-    trigger.roles = [x.id for x in Role.select() if x.name == 'foobar']
+    trigger.roles = [x.id for x in pub.role_class.select() if x.name == 'foobar']
     workflow.store()
 
     resp = app.get('/backoffice/management/form-title/')
@@ -1683,7 +1683,7 @@ def test_backoffice_multi_actions_oldest_form(pub):
     register_comment.parent = workflow.possible_status[2]
 
     trigger = action.triggers[0]
-    trigger.roles = [x.id for x in Role.select() if x.name == 'foobar']
+    trigger.roles = [x.id for x in pub.role_class.select() if x.name == 'foobar']
 
     workflow.store()
     formdef.workflow_id = workflow.id
@@ -1728,7 +1728,7 @@ def test_backoffice_multi_actions_using_session_user(pub):
     register_comment = action.append_item('register-comment')
     register_comment.comment = 'session_user={{session_user}}'
     trigger = action.triggers[0]
-    trigger.roles = [x.id for x in Role.select() if x.name == 'foobar']
+    trigger.roles = [x.id for x in pub.role_class.select() if x.name == 'foobar']
 
     workflow.store()
     formdef.workflow_id = workflow.id
@@ -1970,7 +1970,7 @@ def test_backoffice_handling_global_action(pub):
     jump = action.append_item('jump')
     jump.status = 'finished'
     trigger = action.triggers[0]
-    trigger.roles = [x.id for x in Role.select() if x.name == 'foobar']
+    trigger.roles = [x.id for x in pub.role_class.select() if x.name == 'foobar']
 
     workflow.store()
     formdef.workflow_id = workflow.id
@@ -2004,7 +2004,7 @@ def test_backoffice_global_remove_action(pub):
     action = workflow.add_global_action('FOOBAR')
     remove = action.append_item('remove')
     trigger = action.triggers[0]
-    trigger.roles = [x.id for x in Role.select() if x.name == 'foobar']
+    trigger.roles = [x.id for x in pub.role_class.select() if x.name == 'foobar']
 
     workflow.store()
     formdef.workflow_id = workflow.id
@@ -2207,7 +2207,7 @@ def test_backoffice_info_text(pub):
 
     # info text is not visible if form is locked
     second_user = pub.user_class(name='foobar')
-    second_user.roles = Role.keys()
+    second_user.roles = pub.role_class.keys()
     second_user.store()
     account = PasswordAccount(id='foobar')
     account.set_password('foobar')
@@ -2248,7 +2248,7 @@ def test_backoffice_handling_post_dispatch(pub):
     # check a formdata that has been dispatched to another role is accessible
     # by an user with that role.
     user1 = create_user(pub)
-    role = Role(name='foobaz')
+    role = pub.role_class(name='foobaz')
     role.store()
     user1.roles = [role.id]
     user1.store()
@@ -3044,7 +3044,7 @@ def test_global_listing(pub):
 
     # change role handling a formdef, make sure they do not appear anylonger in
     # the all/done views.
-    role = Role(name='whatever')
+    role = pub.role_class(name='whatever')
     role.store()
     formdef = FormDef.get_by_urlname('form-title')
     formdef.workflow_roles = {'_receiver': role.id}
@@ -3759,7 +3759,7 @@ def test_backoffice_advisory_lock(pub):
     create_environment(pub)
 
     second_user = pub.user_class(name='foobar')
-    second_user.roles = Role.keys()
+    second_user.roles = pub.role_class.keys()
     second_user.store()
     account = PasswordAccount(id='foobar')
     account.set_password('foobar')
@@ -3837,7 +3837,7 @@ def test_backoffice_advisory_lock_related_formdatas(pub):
     formdatas = formdef.data_class().select(lambda x: x.status == 'wf-new')
 
     second_user = pub.user_class(name='foobar')
-    second_user.roles = Role.keys()
+    second_user.roles = pub.role_class.keys()
     second_user.store()
     account = PasswordAccount(id='foobar')
     account.set_password('foobar')
@@ -4449,7 +4449,7 @@ def test_inspect_page(pub, local_user):
     # check functions
     assert re.findall('Recipient.*foobar', resp.text)
 
-    role = Role(name='plop')
+    role = pub.role_class(name='plop')
     role.store()
     formdata.workflow_roles = {'_receiver': role.id}
     formdata.store()
@@ -5634,7 +5634,7 @@ def test_workflow_comment_required(pub):
 
 
 def test_lazy_eval_with_conditional_workflow_form(pub):
-    role = Role(name='foobar')
+    role = pub.role_class(name='foobar')
     role.store()
     user = create_user(pub)
 
diff --git a/tests/backoffice_pages/test_custom_view.py b/tests/backoffice_pages/test_custom_view.py
index 50a2f442..0cb9bcb5 100644
--- a/tests/backoffice_pages/test_custom_view.py
+++ b/tests/backoffice_pages/test_custom_view.py
@@ -9,7 +9,6 @@ from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.qommon.http_request import HTTPRequest
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef
-from wcs.roles import Role
 from wcs import fields
 
 from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
@@ -597,8 +596,8 @@ def test_carddata_custom_view(pub):
 
 def test_carddata_custom_view_is_default(pub):
     user = create_superuser(pub)
-    Role.wipe()
-    role = Role(name='foobar')
+    pub.role_class.wipe()
+    role = pub.role_class(name='foobar')
     role.store()
     user.roles = [role.id]
     user.store()
diff --git a/tests/form_pages/test_all.py b/tests/form_pages/test_all.py
index c4583446..9a9841d5 100644
--- a/tests/form_pages/test_all.py
+++ b/tests/form_pages/test_all.py
@@ -45,7 +45,7 @@ from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem, Mapping
 from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
 from wcs.blocks import BlockDef
 from wcs.categories import Category
-from wcs.roles import Role, logged_users_role
+from wcs.roles import logged_users_role
 from wcs.tracking_code import TrackingCode
 from wcs.data_sources import NamedDataSource
 from wcs import fields
@@ -356,8 +356,8 @@ def test_form_access(pub):
     formdef = create_formdef()
     get_app(pub).get('/test/', status=200)
 
-    Role.wipe()
-    role = Role(name='xxx')
+    pub.role_class.wipe()
+    role = pub.role_class(name='xxx')
     role.store()
 
     # check a formdef protected by a role cannot be accessed
@@ -594,7 +594,7 @@ def test_form_string_with_invalid_xml_chars(pub):
 
 
 def test_form_submit_handling_role_info(pub):
-    role = Role(name='xxx')
+    role = pub.role_class(name='xxx')
     role.details = 'Managing service'
     role.store()
     formdef = create_formdef()
@@ -4665,8 +4665,8 @@ def test_form_workflow_trigger(pub):
     resp = login(app, username='foo', password='foo').get('/')
     resp = app.post(formdata.get_url() + 'jump/trigger/XXX', status=403)
 
-    Role.wipe()
-    role = Role(name='xxx')
+    pub.role_class.wipe()
+    role = pub.role_class(name='xxx')
     role.store()
 
     jump.by = [role.id]
@@ -4729,8 +4729,8 @@ def test_form_worklow_multiple_identical_status(pub):
 
     app = get_app(pub)
 
-    Role.wipe()
-    role = Role(name='xxx')
+    pub.role_class.wipe()
+    role = pub.role_class(name='xxx')
     role.allows_backoffice_access = False
     role.store()
 
@@ -4795,7 +4795,7 @@ def test_form_worklow_comments_on_same_status(pub):
     pub.session_manager.session_class.wipe()
     user = create_user(pub)
 
-    role = Role(name='xxx')
+    role = pub.role_class(name='xxx')
     role.store()
     user.roles = [role.id]
     user.store()
@@ -5232,11 +5232,11 @@ def test_item_field_from_cards(pub):
 
 
 def test_item_field_from_custom_view_on_cards(pub):
-    Role.wipe()
+    pub.role_class.wipe()
     pub.custom_view_class.wipe()
 
     user = create_user(pub)
-    role = Role(name='xxx')
+    role = pub.role_class(name='xxx')
     role.store()
     user.roles = [role.id]
     user.is_admin = True
@@ -5311,11 +5311,11 @@ def test_dynamic_item_field_from_custom_view_on_cards(pub):
         pytest.skip('this requires SQL')
         return
 
-    Role.wipe()
+    pub.role_class.wipe()
     pub.custom_view_class.wipe()
 
     user = create_user(pub)
-    role = Role(name='xxx')
+    role = pub.role_class(name='xxx')
     role.store()
     user.roles = [role.id]
     user.is_admin = True
@@ -6609,8 +6609,8 @@ def test_email_actions(pub, emails):
 def test_manager_public_access(pub):
     user, manager = create_user_and_admin(pub)
 
-    Role.wipe()
-    role = Role(name='xxx')
+    pub.role_class.wipe()
+    role = pub.role_class(name='xxx')
     role.store()
 
     manager.is_admin = False
diff --git a/tests/form_pages/test_formdata.py b/tests/form_pages/test_formdata.py
index cbc0381a..2c9d9246 100644
--- a/tests/form_pages/test_formdata.py
+++ b/tests/form_pages/test_formdata.py
@@ -19,7 +19,6 @@ from wcs import fields
 from wcs.data_sources import NamedDataSource
 from wcs.formdef import FormDef
 from wcs.qommon.form import UploadedFile
-from wcs.roles import Role
 from wcs.wf.attachment import AddAttachmentWorkflowStatusItem
 from wcs.wf.export_to_model import ExportToModel, transform_to_pdf
 from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
@@ -921,8 +920,8 @@ def test_formdata_generated_document_to_backoffice_field(pub):
 def test_formdata_generated_document_in_private_history(pub):
     user = create_user(pub)
 
-    Role.wipe()
-    role = Role(name='xxx')
+    pub.role_class.wipe()
+    role = pub.role_class(name='xxx')
     role.store()
 
     user.roles = [role.id]
@@ -1510,10 +1509,10 @@ def test_formdata_named_wscall_in_conditions(http_requests, pub):
 def test_formdata_evolution_registercommenter_to(pub):
     user = create_user(pub)
 
-    Role.wipe()
-    role1 = Role(name='role the user does not have')
+    pub.role_class.wipe()
+    role1 = pub.role_class(name='role the user does not have')
     role1.store()
-    role2 = Role(name='role the user does have')
+    role2 = pub.role_class(name='role the user does have')
     role2.store()
     user.roles = [role2.id]
     user.store()
diff --git a/tests/test_formdata.py b/tests/test_formdata.py
index f097cabc..a8f78d4e 100644
--- a/tests/test_formdata.py
+++ b/tests/test_formdata.py
@@ -19,7 +19,6 @@ from wcs.categories import Category
 from wcs.conditions import Condition
 from wcs.formdef import FormDef
 from wcs.formdata import Evolution
-from wcs.roles import Role
 from wcs import sessions
 from wcs.variables import LazyFormData
 from wcs.workflows import (
@@ -598,7 +597,7 @@ def variable_test_data(pub):
     user.name_identifiers = ['....']
     user.store()
 
-    role = Role(name='foobar')
+    role = pub.role_class(name='foobar')
     role.store()
 
     FormDef.wipe()
@@ -1732,7 +1731,7 @@ def test_has_role_templatefilter(pub, variable_test_data):
     condition = Condition({'type': 'django', 'value': 'form_user|has_role:form_role_receiver_name'})
     assert condition.evaluate() is False
 
-    role = Role.select()[0]
+    role = pub.role_class.select()[0]
     user = pub.user_class.select()[0]
     user.roles = [role.id, '42']  # role.id 42 does not exist
     user.store()
@@ -1759,7 +1758,7 @@ def test_roles_templatefilter(pub, variable_test_data):
     condition = Condition({'type': 'django', 'value': 'form_role_receiver_name in form_user|roles'})
     assert condition.evaluate() is False
 
-    role = Role.select()[0]
+    role = pub.role_class.select()[0]
     user = pub.user_class.select()[0]
     user.roles = [role.id, '42']  # role.id 42 does not exist
     user.store()
diff --git a/tests/test_formdef_import.py b/tests/test_formdef_import.py
index b5cc0dbf..61abe627 100644
--- a/tests/test_formdef_import.py
+++ b/tests/test_formdef_import.py
@@ -12,7 +12,6 @@ from wcs.categories import Category
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef, fields, FormdefImportError
 from wcs.workflows import Workflow
-from wcs.roles import Role
 from wcs.qommon.misc import indent_xml as indent
 
 from utilities import create_temporary_pub
@@ -506,8 +505,8 @@ def test_page_post_conditions():
 
 
 def test_workflow_roles():
-    Role.wipe()
-    role = Role(name='blah')
+    pub.role_class.wipe()
+    role = pub.role_class(name='blah')
     role.store()
 
     formdef = FormDef()
@@ -549,9 +548,9 @@ def test_geolocations():
 
 
 def test_user_roles():
-    Role.wipe()
+    pub.role_class.wipe()
 
-    role = Role(name='blah')
+    role = pub.role_class(name='blah')
     role.store()
 
     formdef = FormDef()
@@ -576,9 +575,9 @@ def test_user_roles():
 
 
 def test_backoffice_submission_roles():
-    Role.wipe()
+    pub.role_class.wipe()
 
-    role = Role(name='blah')
+    role = pub.role_class(name='blah')
     role.store()
 
     formdef = FormDef()
